commit:     9f5d6621f6802d864a5f1889be1b08131afb0656
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 07:13:01 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Apr  4 05:41:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f5d6621

dev-ruby/stringex: update EAPI 6 -> 8, add ruby30

Fix sqlite version issue by using the activerecord USE flag for it
rather than a separate dependency.

Closes: https://bugs.gentoo.org/744985
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/stringex/stringex-2.8.5-r1.ebuild | 32 ++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-ruby/stringex/stringex-2.8.5-r1.ebuild 
b/dev-ruby/stringex/stringex-2.8.5-r1.ebuild
new file mode 100644
index 000000000000..e03217216203
--- /dev/null
+++ b/dev-ruby/stringex/stringex-2.8.5-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Extensions for Ruby's String class"
+HOMEPAGE="https://github.com/rsl/stringex";
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+# we could rely on activerecord[sqlite3], but since we do not remove the
+# sqlite3 adapter from activerecord when building -sqlite3, it's easier
+# to just add another dependency, so the user doesn't have to change the
+# USE flags at all.
+ruby_add_bdepend "
+       test? (
+               dev-ruby/i18n:1
+               dev-ruby/redcloth
+               dev-ruby/test-unit:2
+               || ( dev-ruby/activerecord:7.0[sqlite] 
dev-ruby/activerecord:6.1[sqlite] dev-ruby/activerecord:6.0[sqlite] 
dev-ruby/activerecord:5.2[sqlite] )
+               )"
+
+all_ruby_prepare() {
+       # Let tests work with newer rails versions
+       sed -i -e 's/update_attributes/update/' test/unit/acts_as_url/adapter/* 
|| die
+}

Reply via email to